Subject: Re: bug#46413: tests/publish.scm fails on berlin

From: Leo Famulari <[email-masked]>
Date: Tue, 19 Jul 2022 09:52:25 -0400

On Fri, Jul 15, 2022 at 01:12:14PM -0400, Maxim Cournoyer wrote:
> Hi,
> 
> Leo Famulari <[email-masked]> writes:
> 
> > I notice that tests/publish.scm crashes consistently when run "by hand"
> > with `make check` on ci.guix.gnu.org:
> >
> > ------
> > $ make check -j1
> > [...]
> > PASS: tests/profiles.scm
> > make[4]: *** [Makefile:5520: tests/publish.log] Error 134
> > make[4]: Leaving directory '/home/lfam/guix'
> > make[3]: *** [Makefile:5502: check-TESTS] Error 2
> > make[3]: Leaving directory '/home/lfam/guix'
> > make[2]: *** [Makefile:5751: check-am] Error 2
> > make[2]: Leaving directory '/home/lfam/guix'
> > make[1]: *** [Makefile:5279: check-recursive] Error 1
> > make[1]: Leaving directory '/home/lfam/guix'
> > make: *** [Makefile:5753: check] Error 2 
> > ------
> >
> > Since it crashes, the remainder of the tests are not run.
> >
> > I've attached the log, but I'm not sure what the problem is.

[...]

> I don't see any failure in the above test results?

The test suite crashes, so there are no error messages printed.

I haven't dug in, but I suspect the test suite doesn't handle the case
where the host machine is already running a `guix publish` server.